import { Specification } from '../definitions';
import { ArrayHydrator } from '../../hydrator';
/**
 * Represents the intersection between the AllEventConsumptionStrategyConfiguration class and type
 */
export type AllEventConsumptionStrategyConfigurationIntersection = AllEventConsumptionStrategyConfiguration & Specification.AllEventConsumptionStrategyConfiguration;
/**
 * Represents a constructor for the intersection of the AllEventConsumptionStrategyConfiguration class and type
 */
export interface AllEventConsumptionStrategyConfigurationConstructor {
    new (model?: Array<Specification.EventFilter> | number): AllEventConsumptionStrategyConfigurationIntersection;
}
/**
 * Represents a collection of Specification.EventFilter.
 * Inherits from ArrayHydrator to handle array-specific hydration.
 */
export declare class AllEventConsumptionStrategyConfiguration extends ArrayHydrator<Specification.EventFilter> {
    /**
     * Constructs a new instance of the AllEventConsumptionStrategyConfiguration class.
     *
     * @param model - Optional parameter which can be an array of objects or a number representing the array length.
     */
    constructor(model?: Array<Specification.EventFilter> | number);
    /**
     * Validates the current instance of the AllEventConsumptionStrategyConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AllEventConsumptionStrategyConfiguration.
     * Creates a copy of the AllEventConsumptionStrategyConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AllEventConsumptionStrategyConfiguration instance.
     */
    normalize(): AllEventConsumptionStrategyConfiguration;
}
export declare const _AllEventConsumptionStrategyConfiguration: AllEventConsumptionStrategyConfigurationConstructor;
//# sourceMappingURL=all-event-consumption-strategy-configuration.d.ts.map