import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the AllEventConsumptionStrategy class and type
 */
export type AllEventConsumptionStrategyIntersection = AllEventConsumptionStrategy & Specification.AllEventConsumptionStrategy;
/**
 * Represents a constructor for the intersection of the AllEventConsumptionStrategy class and type
 */
export interface AllEventConsumptionStrategyConstructor {
    new (model?: Partial<Specification.AllEventConsumptionStrategy>): AllEventConsumptionStrategyIntersection;
}
/**
 * Represents a AllEventConsumptionStrategy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class AllEventConsumptionStrategy extends ObjectHydrator<Specification.AllEventConsumptionStrategy> {
    /**
     * Instanciates a new instance of the AllEventConsumptionStrategy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the AllEventConsumptionStrategy.
     */
    constructor(model?: Partial<Specification.AllEventConsumptionStrategy>);
    /**
     * Validates the current instance of the AllEventConsumptionStrategy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AllEventConsumptionStrategy.
     * Creates a copy of the AllEventConsumptionStrategy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AllEventConsumptionStrategy instance.
     */
    normalize(): AllEventConsumptionStrategy & Specification.AllEventConsumptionStrategy;
}
export declare const _AllEventConsumptionStrategy: AllEventConsumptionStrategyConstructor;
//# sourceMappingURL=all-event-consumption-strategy.d.ts.map