import { Specification } from '../definitions';
import { ArrayHydrator } from '../../hydrator';
/**
 * Represents the intersection between the AnyEventConsumptionStrategyConfiguration class and type
 */
export type AnyEventConsumptionStrategyConfigurationIntersection = AnyEventConsumptionStrategyConfiguration & Specification.AnyEventConsumptionStrategyConfiguration;
/**
 * Represents a constructor for the intersection of the AnyEventConsumptionStrategyConfiguration class and type
 */
export interface AnyEventConsumptionStrategyConfigurationConstructor {
    new (model?: Array<Specification.EventFilter> | number): AnyEventConsumptionStrategyConfigurationIntersection;
}
/**
 * Represents a collection of Specification.EventFilter.
 * Inherits from ArrayHydrator to handle array-specific hydration.
 */
export declare class AnyEventConsumptionStrategyConfiguration extends ArrayHydrator<Specification.EventFilter> {
    /**
     * Constructs a new instance of the AnyEventConsumptionStrategyConfiguration class.
     *
     * @param model - Optional parameter which can be an array of objects or a number representing the array length.
     */
    constructor(model?: Array<Specification.EventFilter> | number);
    /**
     * Validates the current instance of the AnyEventConsumptionStrategyConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AnyEventConsumptionStrategyConfiguration.
     * Creates a copy of the AnyEventConsumptionStrategyConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AnyEventConsumptionStrategyConfiguration instance.
     */
    normalize(): AnyEventConsumptionStrategyConfiguration;
}
export declare const _AnyEventConsumptionStrategyConfiguration: AnyEventConsumptionStrategyConfigurationConstructor;
//# sourceMappingURL=any-event-consumption-strategy-configuration.d.ts.map