import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the AnyEventConsumptionStrategyUntil class and type
 */
export type AnyEventConsumptionStrategyUntilIntersection = AnyEventConsumptionStrategyUntil & Specification.AnyEventConsumptionStrategyUntil;
/**
 * Represents a constructor for the intersection of the AnyEventConsumptionStrategyUntil class and type
 */
export interface AnyEventConsumptionStrategyUntilConstructor {
    new (model?: Partial<Specification.AnyEventConsumptionStrategyUntil>): AnyEventConsumptionStrategyUntilIntersection;
}
/**
 * Represents a AnyEventConsumptionStrategyUntil with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class AnyEventConsumptionStrategyUntil extends ObjectHydrator<Specification.AnyEventConsumptionStrategyUntil> {
    /**
     * Instanciates a new instance of the AnyEventConsumptionStrategyUntil class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the AnyEventConsumptionStrategyUntil.
     */
    constructor(model?: Partial<Specification.AnyEventConsumptionStrategyUntil>);
    /**
     * Validates the current instance of the AnyEventConsumptionStrategyUntil.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AnyEventConsumptionStrategyUntil.
     * Creates a copy of the AnyEventConsumptionStrategyUntil, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AnyEventConsumptionStrategyUntil instance.
     */
    normalize(): AnyEventConsumptionStrategyUntil & Specification.AnyEventConsumptionStrategyUntil;
}
export declare const _AnyEventConsumptionStrategyUntil: AnyEventConsumptionStrategyUntilConstructor;
//# sourceMappingURL=any-event-consumption-strategy-until.d.ts.map