import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the AnyEventConsumptionStrategy class and type
 */
export type AnyEventConsumptionStrategyIntersection = AnyEventConsumptionStrategy & Specification.AnyEventConsumptionStrategy;
/**
 * Represents a constructor for the intersection of the AnyEventConsumptionStrategy class and type
 */
export interface AnyEventConsumptionStrategyConstructor {
    new (model?: Partial<Specification.AnyEventConsumptionStrategy>): AnyEventConsumptionStrategyIntersection;
}
/**
 * Represents a AnyEventConsumptionStrategy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class AnyEventConsumptionStrategy extends ObjectHydrator<Specification.AnyEventConsumptionStrategy> {
    /**
     * Instanciates a new instance of the AnyEventConsumptionStrategy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the AnyEventConsumptionStrategy.
     */
    constructor(model?: Partial<Specification.AnyEventConsumptionStrategy>);
    /**
     * Validates the current instance of the AnyEventConsumptionStrategy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AnyEventConsumptionStrategy.
     * Creates a copy of the AnyEventConsumptionStrategy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AnyEventConsumptionStrategy instance.
     */
    normalize(): AnyEventConsumptionStrategy & Specification.AnyEventConsumptionStrategy;
}
export declare const _AnyEventConsumptionStrategy: AnyEventConsumptionStrategyConstructor;
//# sourceMappingURL=any-event-consumption-strategy.d.ts.map