import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the AnyEventUntilConsumed class and type
 */
export type AnyEventUntilConsumedIntersection = AnyEventUntilConsumed & Specification.AnyEventUntilConsumed;
/**
 * Represents a constructor for the intersection of the AnyEventUntilConsumed class and type
 */
export interface AnyEventUntilConsumedConstructor {
    new (model?: Partial<Specification.AnyEventUntilConsumed>): AnyEventUntilConsumedIntersection;
}
/**
 * Represents a AnyEventUntilConsumed with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class AnyEventUntilConsumed extends ObjectHydrator<Specification.AnyEventUntilConsumed> {
    /**
     * Instanciates a new instance of the AnyEventUntilConsumed class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the AnyEventUntilConsumed.
     */
    constructor(model?: Partial<Specification.AnyEventUntilConsumed>);
    /**
     * Validates the current instance of the AnyEventUntilConsumed.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AnyEventUntilConsumed.
     * Creates a copy of the AnyEventUntilConsumed, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AnyEventUntilConsumed instance.
     */
    normalize(): AnyEventUntilConsumed & Specification.AnyEventUntilConsumed;
}
export declare const _AnyEventUntilConsumed: AnyEventUntilConsumedConstructor;
//# sourceMappingURL=any-event-until-consumed.d.ts.map