import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the AuthenticationPolicy class and type
 */
export type AuthenticationPolicyIntersection = AuthenticationPolicy & Specification.AuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the AuthenticationPolicy class and type
 */
export interface AuthenticationPolicyConstructor {
    new (model?: Partial<Specification.AuthenticationPolicy>): AuthenticationPolicyIntersection;
}
/**
 * Represents a AuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class AuthenticationPolicy extends ObjectHydrator<Specification.AuthenticationPolicy> {
    /**
     * Instanciates a new instance of the AuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the AuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.AuthenticationPolicy>);
    /**
     * Validates the current instance of the AuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the AuthenticationPolicy.
     * Creates a copy of the AuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the AuthenticationPolicy instance.
     */
    normalize(): AuthenticationPolicy & Specification.AuthenticationPolicy;
}
export declare const _AuthenticationPolicy: AuthenticationPolicyConstructor;
//# sourceMappingURL=authentication-policy.d.ts.map