import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the BasicAuthenticationPolicy class and type
 */
export type BasicAuthenticationPolicyIntersection = BasicAuthenticationPolicy & Specification.BasicAuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the BasicAuthenticationPolicy class and type
 */
export interface BasicAuthenticationPolicyConstructor {
    new (model?: Partial<Specification.BasicAuthenticationPolicy>): BasicAuthenticationPolicyIntersection;
}
/**
 * Represents a BasicAuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class BasicAuthenticationPolicy extends ObjectHydrator<Specification.BasicAuthenticationPolicy> {
    /**
     * Instanciates a new instance of the BasicAuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the BasicAuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.BasicAuthenticationPolicy>);
    /**
     * Validates the current instance of the BasicAuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the BasicAuthenticationPolicy.
     * Creates a copy of the BasicAuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the BasicAuthenticationPolicy instance.
     */
    normalize(): BasicAuthenticationPolicy & Specification.BasicAuthenticationPolicy;
}
export declare const _BasicAuthenticationPolicy: BasicAuthenticationPolicyConstructor;
//# sourceMappingURL=basic-authentication-policy.d.ts.map