import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the BearerAuthenticationPolicy class and type
 */
export type BearerAuthenticationPolicyIntersection = BearerAuthenticationPolicy & Specification.BearerAuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the BearerAuthenticationPolicy class and type
 */
export interface BearerAuthenticationPolicyConstructor {
    new (model?: Partial<Specification.BearerAuthenticationPolicy>): BearerAuthenticationPolicyIntersection;
}
/**
 * Represents a BearerAuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class BearerAuthenticationPolicy extends ObjectHydrator<Specification.BearerAuthenticationPolicy> {
    /**
     * Instanciates a new instance of the BearerAuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the BearerAuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.BearerAuthenticationPolicy>);
    /**
     * Validates the current instance of the BearerAuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the BearerAuthenticationPolicy.
     * Creates a copy of the BearerAuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the BearerAuthenticationPolicy instance.
     */
    normalize(): BearerAuthenticationPolicy & Specification.BearerAuthenticationPolicy;
}
export declare const _BearerAuthenticationPolicy: BearerAuthenticationPolicyConstructor;
//# sourceMappingURL=bearer-authentication-policy.d.ts.map