import { _TaskBase } from './task-base';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the CallAsyncAPI class and type
 */
export type CallAsyncAPIIntersection = CallAsyncAPI & Specification.CallAsyncAPI;
/**
 * Represents a constructor for the intersection of the CallAsyncAPI class and type
 */
export interface CallAsyncAPIConstructor {
    new (model?: Partial<Specification.CallAsyncAPI>): CallAsyncAPIIntersection;
}
/**
 * Represents a CallAsyncAPI with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class CallAsyncAPI extends _TaskBase {
    /**
     * Instanciates a new instance of the CallAsyncAPI class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the CallAsyncAPI.
     */
    constructor(model?: Partial<Specification.CallAsyncAPI>);
    /**
     * Validates the current instance of the CallAsyncAPI.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the CallAsyncAPI.
     * Creates a copy of the CallAsyncAPI, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the CallAsyncAPI instance.
     */
    normalize(): CallAsyncAPI & Specification.CallAsyncAPI;
}
export declare const _CallAsyncAPI: CallAsyncAPIConstructor;
//# sourceMappingURL=call-async-api.d.ts.map