import { _TaskBase } from './task-base';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the CallHTTP class and type
 */
export type CallHTTPIntersection = CallHTTP & Specification.CallHTTP;
/**
 * Represents a constructor for the intersection of the CallHTTP class and type
 */
export interface CallHTTPConstructor {
    new (model?: Partial<Specification.CallHTTP>): CallHTTPIntersection;
}
/**
 * Represents a CallHTTP with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class CallHTTP extends _TaskBase {
    /**
     * Instanciates a new instance of the CallHTTP class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the CallHTTP.
     */
    constructor(model?: Partial<Specification.CallHTTP>);
    /**
     * Validates the current instance of the CallHTTP.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the CallHTTP.
     * Creates a copy of the CallHTTP, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the CallHTTP instance.
     */
    normalize(): CallHTTP & Specification.CallHTTP;
}
export declare const _CallHTTP: CallHTTPConstructor;
//# sourceMappingURL=call-http.d.ts.map