import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the ContainerLifetime class and type
 */
export type ContainerLifetimeIntersection = ContainerLifetime & Specification.ContainerLifetime;
/**
 * Represents a constructor for the intersection of the ContainerLifetime class and type
 */
export interface ContainerLifetimeConstructor {
    new (model?: Partial<Specification.ContainerLifetime>): ContainerLifetimeIntersection;
}
/**
 * Represents a ContainerLifetime with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class ContainerLifetime extends ObjectHydrator<Specification.ContainerLifetime> {
    /**
     * Instanciates a new instance of the ContainerLifetime class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the ContainerLifetime.
     */
    constructor(model?: Partial<Specification.ContainerLifetime>);
    /**
     * Validates the current instance of the ContainerLifetime.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the ContainerLifetime.
     * Creates a copy of the ContainerLifetime, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the ContainerLifetime instance.
     */
    normalize(): ContainerLifetime & Specification.ContainerLifetime;
}
export declare const _ContainerLifetime: ContainerLifetimeConstructor;
//# sourceMappingURL=container-lifetime.d.ts.map