import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the DigestAuthenticationPolicy class and type
 */
export type DigestAuthenticationPolicyIntersection = DigestAuthenticationPolicy & Specification.DigestAuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the DigestAuthenticationPolicy class and type
 */
export interface DigestAuthenticationPolicyConstructor {
    new (model?: Partial<Specification.DigestAuthenticationPolicy>): DigestAuthenticationPolicyIntersection;
}
/**
 * Represents a DigestAuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class DigestAuthenticationPolicy extends ObjectHydrator<Specification.DigestAuthenticationPolicy> {
    /**
     * Instanciates a new instance of the DigestAuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the DigestAuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.DigestAuthenticationPolicy>);
    /**
     * Validates the current instance of the DigestAuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the DigestAuthenticationPolicy.
     * Creates a copy of the DigestAuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the DigestAuthenticationPolicy instance.
     */
    normalize(): DigestAuthenticationPolicy & Specification.DigestAuthenticationPolicy;
}
export declare const _DigestAuthenticationPolicy: DigestAuthenticationPolicyConstructor;
//# sourceMappingURL=digest-authentication-policy.d.ts.map