import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the EmitEventDefinition class and type
 */
export type EmitEventDefinitionIntersection = EmitEventDefinition & Specification.EmitEventDefinition;
/**
 * Represents a constructor for the intersection of the EmitEventDefinition class and type
 */
export interface EmitEventDefinitionConstructor {
    new (model?: Partial<Specification.EmitEventDefinition>): EmitEventDefinitionIntersection;
}
/**
 * Represents a EmitEventDefinition with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class EmitEventDefinition extends ObjectHydrator<Specification.EmitEventDefinition> {
    /**
     * Instanciates a new instance of the EmitEventDefinition class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the EmitEventDefinition.
     */
    constructor(model?: Partial<Specification.EmitEventDefinition>);
    /**
     * Validates the current instance of the EmitEventDefinition.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the EmitEventDefinition.
     * Creates a copy of the EmitEventDefinition, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the EmitEventDefinition instance.
     */
    normalize(): EmitEventDefinition & Specification.EmitEventDefinition;
}
export declare const _EmitEventDefinition: EmitEventDefinitionConstructor;
//# sourceMappingURL=emit-event-definition.d.ts.map