import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the EmitTaskConfiguration class and type
 */
export type EmitTaskConfigurationIntersection = EmitTaskConfiguration & Specification.EmitTaskConfiguration;
/**
 * Represents a constructor for the intersection of the EmitTaskConfiguration class and type
 */
export interface EmitTaskConfigurationConstructor {
    new (model?: Partial<Specification.EmitTaskConfiguration>): EmitTaskConfigurationIntersection;
}
/**
 * Represents a EmitTaskConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class EmitTaskConfiguration extends ObjectHydrator<Specification.EmitTaskConfiguration> {
    /**
     * Instanciates a new instance of the EmitTaskConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the EmitTaskConfiguration.
     */
    constructor(model?: Partial<Specification.EmitTaskConfiguration>);
    /**
     * Validates the current instance of the EmitTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the EmitTaskConfiguration.
     * Creates a copy of the EmitTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the EmitTaskConfiguration instance.
     */
    normalize(): EmitTaskConfiguration & Specification.EmitTaskConfiguration;
}
export declare const _EmitTaskConfiguration: EmitTaskConfigurationConstructor;
//# sourceMappingURL=emit-task-configuration.d.ts.map