import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the EndpointConfiguration class and type
 */
export type EndpointConfigurationIntersection = EndpointConfiguration & Specification.EndpointConfiguration;
/**
 * Represents a constructor for the intersection of the EndpointConfiguration class and type
 */
export interface EndpointConfigurationConstructor {
    new (model?: Partial<Specification.EndpointConfiguration>): EndpointConfigurationIntersection;
}
/**
 * Represents a EndpointConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class EndpointConfiguration extends ObjectHydrator<Specification.EndpointConfiguration> {
    /**
     * Instanciates a new instance of the EndpointConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the EndpointConfiguration.
     */
    constructor(model?: Partial<Specification.EndpointConfiguration>);
    /**
     * Validates the current instance of the EndpointConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the EndpointConfiguration.
     * Creates a copy of the EndpointConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the EndpointConfiguration instance.
     */
    normalize(): EndpointConfiguration & Specification.EndpointConfiguration;
}
export declare const _EndpointConfiguration: EndpointConfigurationConstructor;
//# sourceMappingURL=endpoint-configuration.d.ts.map