/*****************************************************************************************
 *
 * /!\ This file is computer generated. Any manual modification can and will be lost. /!\
 *
 *****************************************************************************************/
import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the Error class and type
 */
export type ErrorIntersection = Error & Specification.Error;
/**
 * Represents a constructor for the intersection of the Error class and type
 */
export interface ErrorConstructor {
    new (model?: Partial<Specification.Error>): ErrorIntersection;
}
/**
 * Represents a Error with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class Error extends ObjectHydrator<Specification.Error> {
    /**
     * Instanciates a new instance of the Error class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the Error.
     */
    constructor(model?: Partial<Specification.Error>);
    /**
     * Validates the current instance of the Error.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the Error.
     * Creates a copy of the Error, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the Error instance.
     */
    normalize(): Error & Specification.Error;
}
export declare const _Error: ErrorConstructor;
//# sourceMappingURL=error.d.ts.map