import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the EventConsumptionStrategy class and type
 */
export type EventConsumptionStrategyIntersection = EventConsumptionStrategy & Specification.EventConsumptionStrategy;
/**
 * Represents a constructor for the intersection of the EventConsumptionStrategy class and type
 */
export interface EventConsumptionStrategyConstructor {
    new (model?: Partial<Specification.EventConsumptionStrategy>): EventConsumptionStrategyIntersection;
}
/**
 * Represents a EventConsumptionStrategy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class EventConsumptionStrategy extends ObjectHydrator<Specification.EventConsumptionStrategy> {
    /**
     * Instanciates a new instance of the EventConsumptionStrategy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the EventConsumptionStrategy.
     */
    constructor(model?: Partial<Specification.EventConsumptionStrategy>);
    /**
     * Validates the current instance of the EventConsumptionStrategy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the EventConsumptionStrategy.
     * Creates a copy of the EventConsumptionStrategy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the EventConsumptionStrategy instance.
     */
    normalize(): EventConsumptionStrategy & Specification.EventConsumptionStrategy;
}
export declare const _EventConsumptionStrategy: EventConsumptionStrategyConstructor;
//# sourceMappingURL=event-consumption-strategy.d.ts.map