import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the EventFilter class and type
 */
export type EventFilterIntersection = EventFilter & Specification.EventFilter;
/**
 * Represents a constructor for the intersection of the EventFilter class and type
 */
export interface EventFilterConstructor {
    new (model?: Partial<Specification.EventFilter>): EventFilterIntersection;
}
/**
 * Represents a EventFilter with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class EventFilter extends ObjectHydrator<Specification.EventFilter> {
    /**
     * Instanciates a new instance of the EventFilter class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the EventFilter.
     */
    constructor(model?: Partial<Specification.EventFilter>);
    /**
     * Validates the current instance of the EventFilter.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the EventFilter.
     * Creates a copy of the EventFilter, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the EventFilter instance.
     */
    normalize(): EventFilter & Specification.EventFilter;
}
export declare const _EventFilter: EventFilterConstructor;
//# sourceMappingURL=event-filter.d.ts.map