import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the ForkTaskConfiguration class and type
 */
export type ForkTaskConfigurationIntersection = ForkTaskConfiguration & Specification.ForkTaskConfiguration;
/**
 * Represents a constructor for the intersection of the ForkTaskConfiguration class and type
 */
export interface ForkTaskConfigurationConstructor {
    new (model?: Partial<Specification.ForkTaskConfiguration>): ForkTaskConfigurationIntersection;
}
/**
 * Represents a ForkTaskConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class ForkTaskConfiguration extends ObjectHydrator<Specification.ForkTaskConfiguration> {
    /**
     * Instanciates a new instance of the ForkTaskConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the ForkTaskConfiguration.
     */
    constructor(model?: Partial<Specification.ForkTaskConfiguration>);
    /**
     * Validates the current instance of the ForkTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the ForkTaskConfiguration.
     * Creates a copy of the ForkTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the ForkTaskConfiguration instance.
     */
    normalize(): ForkTaskConfiguration & Specification.ForkTaskConfiguration;
}
export declare const _ForkTaskConfiguration: ForkTaskConfigurationConstructor;
//# sourceMappingURL=fork-task-configuration.d.ts.map