import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the GRPCArguments class and type
 */
export type GRPCArgumentsIntersection = GRPCArguments & Specification.GRPCArguments;
/**
 * Represents a constructor for the intersection of the GRPCArguments class and type
 */
export interface GRPCArgumentsConstructor {
    new (model?: Partial<Specification.GRPCArguments>): GRPCArgumentsIntersection;
}
/**
 * Represents a GRPCArguments with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class GRPCArguments extends ObjectHydrator<Specification.GRPCArguments> {
    /**
     * Instanciates a new instance of the GRPCArguments class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the GRPCArguments.
     */
    constructor(model?: Partial<Specification.GRPCArguments>);
    /**
     * Validates the current instance of the GRPCArguments.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the GRPCArguments.
     * Creates a copy of the GRPCArguments, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the GRPCArguments instance.
     */
    normalize(): GRPCArguments & Specification.GRPCArguments;
}
export declare const _GRPCArguments: GRPCArgumentsConstructor;
//# sourceMappingURL=grpc-arguments.d.ts.map