import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the HTTPArguments class and type
 */
export type HTTPArgumentsIntersection = HTTPArguments & Specification.HTTPArguments;
/**
 * Represents a constructor for the intersection of the HTTPArguments class and type
 */
export interface HTTPArgumentsConstructor {
    new (model?: Partial<Specification.HTTPArguments>): HTTPArgumentsIntersection;
}
/**
 * Represents a HTTPArguments with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class HTTPArguments extends ObjectHydrator<Specification.HTTPArguments> {
    /**
     * Instanciates a new instance of the HTTPArguments class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the HTTPArguments.
     */
    constructor(model?: Partial<Specification.HTTPArguments>);
    /**
     * Validates the current instance of the HTTPArguments.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the HTTPArguments.
     * Creates a copy of the HTTPArguments, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the HTTPArguments instance.
     */
    normalize(): HTTPArguments & Specification.HTTPArguments;
}
export declare const _HTTPArguments: HTTPArgumentsConstructor;
//# sourceMappingURL=http-arguments.d.ts.map