import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the ListenTaskConfiguration class and type
 */
export type ListenTaskConfigurationIntersection = ListenTaskConfiguration & Specification.ListenTaskConfiguration;
/**
 * Represents a constructor for the intersection of the ListenTaskConfiguration class and type
 */
export interface ListenTaskConfigurationConstructor {
    new (model?: Partial<Specification.ListenTaskConfiguration>): ListenTaskConfigurationIntersection;
}
/**
 * Represents a ListenTaskConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class ListenTaskConfiguration extends ObjectHydrator<Specification.ListenTaskConfiguration> {
    /**
     * Instanciates a new instance of the ListenTaskConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the ListenTaskConfiguration.
     */
    constructor(model?: Partial<Specification.ListenTaskConfiguration>);
    /**
     * Validates the current instance of the ListenTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the ListenTaskConfiguration.
     * Creates a copy of the ListenTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the ListenTaskConfiguration instance.
     */
    normalize(): ListenTaskConfiguration & Specification.ListenTaskConfiguration;
}
export declare const _ListenTaskConfiguration: ListenTaskConfigurationConstructor;
//# sourceMappingURL=listen-task-configuration.d.ts.map