import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OAuth2AutenthicationData class and type
 */
export type OAuth2AutenthicationDataIntersection = OAuth2AutenthicationData & Specification.OAuth2AutenthicationData;
/**
 * Represents a constructor for the intersection of the OAuth2AutenthicationData class and type
 */
export interface OAuth2AutenthicationDataConstructor {
    new (model?: Partial<Specification.OAuth2AutenthicationData>): OAuth2AutenthicationDataIntersection;
}
/**
 * Represents a OAuth2AutenthicationData with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OAuth2AutenthicationData extends ObjectHydrator<Specification.OAuth2AutenthicationData> {
    /**
     * Instanciates a new instance of the OAuth2AutenthicationData class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OAuth2AutenthicationData.
     */
    constructor(model?: Partial<Specification.OAuth2AutenthicationData>);
    /**
     * Validates the current instance of the OAuth2AutenthicationData.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OAuth2AutenthicationData.
     * Creates a copy of the OAuth2AutenthicationData, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OAuth2AutenthicationData instance.
     */
    normalize(): OAuth2AutenthicationData & Specification.OAuth2AutenthicationData;
}
export declare const _OAuth2AutenthicationData: OAuth2AutenthicationDataConstructor;
//# sourceMappingURL=oauth2-autenthication-data.d.ts.map