import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OAuth2AuthenticationPolicyConfiguration class and type
 */
export type OAuth2AuthenticationPolicyConfigurationIntersection = OAuth2AuthenticationPolicyConfiguration & Specification.OAuth2AuthenticationPolicyConfiguration;
/**
 * Represents a constructor for the intersection of the OAuth2AuthenticationPolicyConfiguration class and type
 */
export interface OAuth2AuthenticationPolicyConfigurationConstructor {
    new (model?: Partial<Specification.OAuth2AuthenticationPolicyConfiguration>): OAuth2AuthenticationPolicyConfigurationIntersection;
}
/**
 * Represents a OAuth2AuthenticationPolicyConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OAuth2AuthenticationPolicyConfiguration extends ObjectHydrator<Specification.OAuth2AuthenticationPolicyConfiguration> {
    /**
     * Instanciates a new instance of the OAuth2AuthenticationPolicyConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OAuth2AuthenticationPolicyConfiguration.
     */
    constructor(model?: Partial<Specification.OAuth2AuthenticationPolicyConfiguration>);
    /**
     * Validates the current instance of the OAuth2AuthenticationPolicyConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OAuth2AuthenticationPolicyConfiguration.
     * Creates a copy of the OAuth2AuthenticationPolicyConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OAuth2AuthenticationPolicyConfiguration instance.
     */
    normalize(): OAuth2AuthenticationPolicyConfiguration & Specification.OAuth2AuthenticationPolicyConfiguration;
}
export declare const _OAuth2AuthenticationPolicyConfiguration: OAuth2AuthenticationPolicyConfigurationConstructor;
//# sourceMappingURL=oauth2-authentication-policy-configuration.d.ts.map