import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OAuth2AuthenticationPolicy class and type
 */
export type OAuth2AuthenticationPolicyIntersection = OAuth2AuthenticationPolicy & Specification.OAuth2AuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the OAuth2AuthenticationPolicy class and type
 */
export interface OAuth2AuthenticationPolicyConstructor {
    new (model?: Partial<Specification.OAuth2AuthenticationPolicy>): OAuth2AuthenticationPolicyIntersection;
}
/**
 * Represents a OAuth2AuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OAuth2AuthenticationPolicy extends ObjectHydrator<Specification.OAuth2AuthenticationPolicy> {
    /**
     * Instanciates a new instance of the OAuth2AuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OAuth2AuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.OAuth2AuthenticationPolicy>);
    /**
     * Validates the current instance of the OAuth2AuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OAuth2AuthenticationPolicy.
     * Creates a copy of the OAuth2AuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OAuth2AuthenticationPolicy instance.
     */
    normalize(): OAuth2AuthenticationPolicy & Specification.OAuth2AuthenticationPolicy;
}
export declare const _OAuth2AuthenticationPolicy: OAuth2AuthenticationPolicyConstructor;
//# sourceMappingURL=oauth2-authentication-policy.d.ts.map