import { _OAuth2AutenthicationData } from './oauth2-autenthication-data';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OAuth2ConnectAuthenticationProperties class and type
 */
export type OAuth2ConnectAuthenticationPropertiesIntersection = OAuth2ConnectAuthenticationProperties & Specification.OAuth2ConnectAuthenticationProperties;
/**
 * Represents a constructor for the intersection of the OAuth2ConnectAuthenticationProperties class and type
 */
export interface OAuth2ConnectAuthenticationPropertiesConstructor {
    new (model?: Partial<Specification.OAuth2ConnectAuthenticationProperties>): OAuth2ConnectAuthenticationPropertiesIntersection;
}
/**
 * Represents a OAuth2ConnectAuthenticationProperties with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OAuth2ConnectAuthenticationProperties extends _OAuth2AutenthicationData {
    /**
     * Instanciates a new instance of the OAuth2ConnectAuthenticationProperties class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OAuth2ConnectAuthenticationProperties.
     */
    constructor(model?: Partial<Specification.OAuth2ConnectAuthenticationProperties>);
    /**
     * Validates the current instance of the OAuth2ConnectAuthenticationProperties.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OAuth2ConnectAuthenticationProperties.
     * Creates a copy of the OAuth2ConnectAuthenticationProperties, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OAuth2ConnectAuthenticationProperties instance.
     */
    normalize(): OAuth2ConnectAuthenticationProperties & Specification.OAuth2ConnectAuthenticationProperties;
}
export declare const _OAuth2ConnectAuthenticationProperties: OAuth2ConnectAuthenticationPropertiesConstructor;
//# sourceMappingURL=oauth2-connect-authentication-properties.d.ts.map