import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OneEventConsumptionStrategy class and type
 */
export type OneEventConsumptionStrategyIntersection = OneEventConsumptionStrategy & Specification.OneEventConsumptionStrategy;
/**
 * Represents a constructor for the intersection of the OneEventConsumptionStrategy class and type
 */
export interface OneEventConsumptionStrategyConstructor {
    new (model?: Partial<Specification.OneEventConsumptionStrategy>): OneEventConsumptionStrategyIntersection;
}
/**
 * Represents a OneEventConsumptionStrategy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OneEventConsumptionStrategy extends ObjectHydrator<Specification.OneEventConsumptionStrategy> {
    /**
     * Instanciates a new instance of the OneEventConsumptionStrategy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OneEventConsumptionStrategy.
     */
    constructor(model?: Partial<Specification.OneEventConsumptionStrategy>);
    /**
     * Validates the current instance of the OneEventConsumptionStrategy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OneEventConsumptionStrategy.
     * Creates a copy of the OneEventConsumptionStrategy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OneEventConsumptionStrategy instance.
     */
    normalize(): OneEventConsumptionStrategy & Specification.OneEventConsumptionStrategy;
}
export declare const _OneEventConsumptionStrategy: OneEventConsumptionStrategyConstructor;
//# sourceMappingURL=one-event-consumption-strategy.d.ts.map