import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OpenAPIArguments class and type
 */
export type OpenAPIArgumentsIntersection = OpenAPIArguments & Specification.OpenAPIArguments;
/**
 * Represents a constructor for the intersection of the OpenAPIArguments class and type
 */
export interface OpenAPIArgumentsConstructor {
    new (model?: Partial<Specification.OpenAPIArguments>): OpenAPIArgumentsIntersection;
}
/**
 * Represents a OpenAPIArguments with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OpenAPIArguments extends ObjectHydrator<Specification.OpenAPIArguments> {
    /**
     * Instanciates a new instance of the OpenAPIArguments class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OpenAPIArguments.
     */
    constructor(model?: Partial<Specification.OpenAPIArguments>);
    /**
     * Validates the current instance of the OpenAPIArguments.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OpenAPIArguments.
     * Creates a copy of the OpenAPIArguments, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OpenAPIArguments instance.
     */
    normalize(): OpenAPIArguments & Specification.OpenAPIArguments;
}
export declare const _OpenAPIArguments: OpenAPIArgumentsConstructor;
//# sourceMappingURL=open-api-arguments.d.ts.map