import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OpenIdConnectAuthenticationPolicyConfiguration class and type
 */
export type OpenIdConnectAuthenticationPolicyConfigurationIntersection = OpenIdConnectAuthenticationPolicyConfiguration & Specification.OpenIdConnectAuthenticationPolicyConfiguration;
/**
 * Represents a constructor for the intersection of the OpenIdConnectAuthenticationPolicyConfiguration class and type
 */
export interface OpenIdConnectAuthenticationPolicyConfigurationConstructor {
    new (model?: Partial<Specification.OpenIdConnectAuthenticationPolicyConfiguration>): OpenIdConnectAuthenticationPolicyConfigurationIntersection;
}
/**
 * Represents a OpenIdConnectAuthenticationPolicyConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OpenIdConnectAuthenticationPolicyConfiguration extends ObjectHydrator<Specification.OpenIdConnectAuthenticationPolicyConfiguration> {
    /**
     * Instanciates a new instance of the OpenIdConnectAuthenticationPolicyConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OpenIdConnectAuthenticationPolicyConfiguration.
     */
    constructor(model?: Partial<Specification.OpenIdConnectAuthenticationPolicyConfiguration>);
    /**
     * Validates the current instance of the OpenIdConnectAuthenticationPolicyConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OpenIdConnectAuthenticationPolicyConfiguration.
     * Creates a copy of the OpenIdConnectAuthenticationPolicyConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OpenIdConnectAuthenticationPolicyConfiguration instance.
     */
    normalize(): OpenIdConnectAuthenticationPolicyConfiguration & Specification.OpenIdConnectAuthenticationPolicyConfiguration;
}
export declare const _OpenIdConnectAuthenticationPolicyConfiguration: OpenIdConnectAuthenticationPolicyConfigurationConstructor;
//# sourceMappingURL=open-id-connect-authentication-policy-configuration.d.ts.map