import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OpenIdConnectAuthenticationPolicy class and type
 */
export type OpenIdConnectAuthenticationPolicyIntersection = OpenIdConnectAuthenticationPolicy & Specification.OpenIdConnectAuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the OpenIdConnectAuthenticationPolicy class and type
 */
export interface OpenIdConnectAuthenticationPolicyConstructor {
    new (model?: Partial<Specification.OpenIdConnectAuthenticationPolicy>): OpenIdConnectAuthenticationPolicyIntersection;
}
/**
 * Represents a OpenIdConnectAuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OpenIdConnectAuthenticationPolicy extends ObjectHydrator<Specification.OpenIdConnectAuthenticationPolicy> {
    /**
     * Instanciates a new instance of the OpenIdConnectAuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OpenIdConnectAuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.OpenIdConnectAuthenticationPolicy>);
    /**
     * Validates the current instance of the OpenIdConnectAuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OpenIdConnectAuthenticationPolicy.
     * Creates a copy of the OpenIdConnectAuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OpenIdConnectAuthenticationPolicy instance.
     */
    normalize(): OpenIdConnectAuthenticationPolicy & Specification.OpenIdConnectAuthenticationPolicy;
}
export declare const _OpenIdConnectAuthenticationPolicy: OpenIdConnectAuthenticationPolicyConstructor;
//# sourceMappingURL=open-id-connect-authentication-policy.d.ts.map