import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the OpenIdConnectAuthenticationProperties class and type
 */
export type OpenIdConnectAuthenticationPropertiesIntersection = OpenIdConnectAuthenticationProperties & Specification.OpenIdConnectAuthenticationProperties;
/**
 * Represents a constructor for the intersection of the OpenIdConnectAuthenticationProperties class and type
 */
export interface OpenIdConnectAuthenticationPropertiesConstructor {
    new (model?: Partial<Specification.OpenIdConnectAuthenticationProperties>): OpenIdConnectAuthenticationPropertiesIntersection;
}
/**
 * Represents a OpenIdConnectAuthenticationProperties with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class OpenIdConnectAuthenticationProperties extends ObjectHydrator<Specification.OpenIdConnectAuthenticationProperties> {
    /**
     * Instanciates a new instance of the OpenIdConnectAuthenticationProperties class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the OpenIdConnectAuthenticationProperties.
     */
    constructor(model?: Partial<Specification.OpenIdConnectAuthenticationProperties>);
    /**
     * Validates the current instance of the OpenIdConnectAuthenticationProperties.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the OpenIdConnectAuthenticationProperties.
     * Creates a copy of the OpenIdConnectAuthenticationProperties, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the OpenIdConnectAuthenticationProperties instance.
     */
    normalize(): OpenIdConnectAuthenticationProperties & Specification.OpenIdConnectAuthenticationProperties;
}
export declare const _OpenIdConnectAuthenticationProperties: OpenIdConnectAuthenticationPropertiesConstructor;
//# sourceMappingURL=open-id-connect-authentication-properties.d.ts.map