import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RaiseTaskConfiguration class and type
 */
export type RaiseTaskConfigurationIntersection = RaiseTaskConfiguration & Specification.RaiseTaskConfiguration;
/**
 * Represents a constructor for the intersection of the RaiseTaskConfiguration class and type
 */
export interface RaiseTaskConfigurationConstructor {
    new (model?: Partial<Specification.RaiseTaskConfiguration>): RaiseTaskConfigurationIntersection;
}
/**
 * Represents a RaiseTaskConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RaiseTaskConfiguration extends ObjectHydrator<Specification.RaiseTaskConfiguration> {
    /**
     * Instanciates a new instance of the RaiseTaskConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RaiseTaskConfiguration.
     */
    constructor(model?: Partial<Specification.RaiseTaskConfiguration>);
    /**
     * Validates the current instance of the RaiseTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RaiseTaskConfiguration.
     * Creates a copy of the RaiseTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RaiseTaskConfiguration instance.
     */
    normalize(): RaiseTaskConfiguration & Specification.RaiseTaskConfiguration;
}
export declare const _RaiseTaskConfiguration: RaiseTaskConfigurationConstructor;
//# sourceMappingURL=raise-task-configuration.d.ts.map