import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the ReferenceableAuthenticationPolicy class and type
 */
export type ReferenceableAuthenticationPolicyIntersection = ReferenceableAuthenticationPolicy & Specification.ReferenceableAuthenticationPolicy;
/**
 * Represents a constructor for the intersection of the ReferenceableAuthenticationPolicy class and type
 */
export interface ReferenceableAuthenticationPolicyConstructor {
    new (model?: Partial<Specification.ReferenceableAuthenticationPolicy>): ReferenceableAuthenticationPolicyIntersection;
}
/**
 * Represents a ReferenceableAuthenticationPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class ReferenceableAuthenticationPolicy extends ObjectHydrator<Specification.ReferenceableAuthenticationPolicy> {
    /**
     * Instanciates a new instance of the ReferenceableAuthenticationPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the ReferenceableAuthenticationPolicy.
     */
    constructor(model?: Partial<Specification.ReferenceableAuthenticationPolicy>);
    /**
     * Validates the current instance of the ReferenceableAuthenticationPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the ReferenceableAuthenticationPolicy.
     * Creates a copy of the ReferenceableAuthenticationPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the ReferenceableAuthenticationPolicy instance.
     */
    normalize(): ReferenceableAuthenticationPolicy & Specification.ReferenceableAuthenticationPolicy;
}
export declare const _ReferenceableAuthenticationPolicy: ReferenceableAuthenticationPolicyConstructor;
//# sourceMappingURL=referenceable-authentication-policy.d.ts.map