import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RetryLimitAttempt class and type
 */
export type RetryLimitAttemptIntersection = RetryLimitAttempt & Specification.RetryLimitAttempt;
/**
 * Represents a constructor for the intersection of the RetryLimitAttempt class and type
 */
export interface RetryLimitAttemptConstructor {
    new (model?: Partial<Specification.RetryLimitAttempt>): RetryLimitAttemptIntersection;
}
/**
 * Represents a RetryLimitAttempt with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RetryLimitAttempt extends ObjectHydrator<Specification.RetryLimitAttempt> {
    /**
     * Instanciates a new instance of the RetryLimitAttempt class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RetryLimitAttempt.
     */
    constructor(model?: Partial<Specification.RetryLimitAttempt>);
    /**
     * Validates the current instance of the RetryLimitAttempt.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RetryLimitAttempt.
     * Creates a copy of the RetryLimitAttempt, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RetryLimitAttempt instance.
     */
    normalize(): RetryLimitAttempt & Specification.RetryLimitAttempt;
}
export declare const _RetryLimitAttempt: RetryLimitAttemptConstructor;
//# sourceMappingURL=retry-limit-attempt.d.ts.map