import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RetryLimit class and type
 */
export type RetryLimitIntersection = RetryLimit & Specification.RetryLimit;
/**
 * Represents a constructor for the intersection of the RetryLimit class and type
 */
export interface RetryLimitConstructor {
    new (model?: Partial<Specification.RetryLimit>): RetryLimitIntersection;
}
/**
 * Represents a RetryLimit with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RetryLimit extends ObjectHydrator<Specification.RetryLimit> {
    /**
     * Instanciates a new instance of the RetryLimit class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RetryLimit.
     */
    constructor(model?: Partial<Specification.RetryLimit>);
    /**
     * Validates the current instance of the RetryLimit.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RetryLimit.
     * Creates a copy of the RetryLimit, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RetryLimit instance.
     */
    normalize(): RetryLimit & Specification.RetryLimit;
}
export declare const _RetryLimit: RetryLimitConstructor;
//# sourceMappingURL=retry-limit.d.ts.map