import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RetryPolicyJitter class and type
 */
export type RetryPolicyJitterIntersection = RetryPolicyJitter & Specification.RetryPolicyJitter;
/**
 * Represents a constructor for the intersection of the RetryPolicyJitter class and type
 */
export interface RetryPolicyJitterConstructor {
    new (model?: Partial<Specification.RetryPolicyJitter>): RetryPolicyJitterIntersection;
}
/**
 * Represents a RetryPolicyJitter with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RetryPolicyJitter extends ObjectHydrator<Specification.RetryPolicyJitter> {
    /**
     * Instanciates a new instance of the RetryPolicyJitter class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RetryPolicyJitter.
     */
    constructor(model?: Partial<Specification.RetryPolicyJitter>);
    /**
     * Validates the current instance of the RetryPolicyJitter.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RetryPolicyJitter.
     * Creates a copy of the RetryPolicyJitter, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RetryPolicyJitter instance.
     */
    normalize(): RetryPolicyJitter & Specification.RetryPolicyJitter;
}
export declare const _RetryPolicyJitter: RetryPolicyJitterConstructor;
//# sourceMappingURL=retry-policy-jitter.d.ts.map