import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RetryPolicy class and type
 */
export type RetryPolicyIntersection = RetryPolicy & Specification.RetryPolicy;
/**
 * Represents a constructor for the intersection of the RetryPolicy class and type
 */
export interface RetryPolicyConstructor {
    new (model?: Partial<Specification.RetryPolicy>): RetryPolicyIntersection;
}
/**
 * Represents a RetryPolicy with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RetryPolicy extends ObjectHydrator<Specification.RetryPolicy> {
    /**
     * Instanciates a new instance of the RetryPolicy class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RetryPolicy.
     */
    constructor(model?: Partial<Specification.RetryPolicy>);
    /**
     * Validates the current instance of the RetryPolicy.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RetryPolicy.
     * Creates a copy of the RetryPolicy, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RetryPolicy instance.
     */
    normalize(): RetryPolicy & Specification.RetryPolicy;
}
export declare const _RetryPolicy: RetryPolicyConstructor;
//# sourceMappingURL=retry-policy.d.ts.map