import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the RunTaskConfiguration class and type
 */
export type RunTaskConfigurationIntersection = RunTaskConfiguration & Specification.RunTaskConfiguration;
/**
 * Represents a constructor for the intersection of the RunTaskConfiguration class and type
 */
export interface RunTaskConfigurationConstructor {
    new (model?: Partial<Specification.RunTaskConfiguration>): RunTaskConfigurationIntersection;
}
/**
 * Represents a RunTaskConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class RunTaskConfiguration extends ObjectHydrator<Specification.RunTaskConfiguration> {
    /**
     * Instanciates a new instance of the RunTaskConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the RunTaskConfiguration.
     */
    constructor(model?: Partial<Specification.RunTaskConfiguration>);
    /**
     * Validates the current instance of the RunTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the RunTaskConfiguration.
     * Creates a copy of the RunTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the RunTaskConfiguration instance.
     */
    normalize(): RunTaskConfiguration & Specification.RunTaskConfiguration;
}
export declare const _RunTaskConfiguration: RunTaskConfigurationConstructor;
//# sourceMappingURL=run-task-configuration.d.ts.map