import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the SchemaExternal class and type
 */
export type SchemaExternalIntersection = SchemaExternal & Specification.SchemaExternal;
/**
 * Represents a constructor for the intersection of the SchemaExternal class and type
 */
export interface SchemaExternalConstructor {
    new (model?: Partial<Specification.SchemaExternal>): SchemaExternalIntersection;
}
/**
 * Represents a SchemaExternal with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class SchemaExternal extends ObjectHydrator<Specification.SchemaExternal> {
    /**
     * Instanciates a new instance of the SchemaExternal class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the SchemaExternal.
     */
    constructor(model?: Partial<Specification.SchemaExternal>);
    /**
     * Validates the current instance of the SchemaExternal.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the SchemaExternal.
     * Creates a copy of the SchemaExternal, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the SchemaExternal instance.
     */
    normalize(): SchemaExternal & Specification.SchemaExternal;
}
export declare const _SchemaExternal: SchemaExternalConstructor;
//# sourceMappingURL=schema-external.d.ts.map