import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the SubflowConfiguration class and type
 */
export type SubflowConfigurationIntersection = SubflowConfiguration & Specification.SubflowConfiguration;
/**
 * Represents a constructor for the intersection of the SubflowConfiguration class and type
 */
export interface SubflowConfigurationConstructor {
    new (model?: Partial<Specification.SubflowConfiguration>): SubflowConfigurationIntersection;
}
/**
 * Represents a SubflowConfiguration with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class SubflowConfiguration extends ObjectHydrator<Specification.SubflowConfiguration> {
    /**
     * Instanciates a new instance of the SubflowConfiguration class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the SubflowConfiguration.
     */
    constructor(model?: Partial<Specification.SubflowConfiguration>);
    /**
     * Validates the current instance of the SubflowConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the SubflowConfiguration.
     * Creates a copy of the SubflowConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the SubflowConfiguration instance.
     */
    normalize(): SubflowConfiguration & Specification.SubflowConfiguration;
}
export declare const _SubflowConfiguration: SubflowConfigurationConstructor;
//# sourceMappingURL=subflow-configuration.d.ts.map