import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the SubscriptionIterator class and type
 */
export type SubscriptionIteratorIntersection = SubscriptionIterator & Specification.SubscriptionIterator;
/**
 * Represents a constructor for the intersection of the SubscriptionIterator class and type
 */
export interface SubscriptionIteratorConstructor {
    new (model?: Partial<Specification.SubscriptionIterator>): SubscriptionIteratorIntersection;
}
/**
 * Represents a SubscriptionIterator with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class SubscriptionIterator extends ObjectHydrator<Specification.SubscriptionIterator> {
    /**
     * Instanciates a new instance of the SubscriptionIterator class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the SubscriptionIterator.
     */
    constructor(model?: Partial<Specification.SubscriptionIterator>);
    /**
     * Validates the current instance of the SubscriptionIterator.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the SubscriptionIterator.
     * Creates a copy of the SubscriptionIterator, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the SubscriptionIterator instance.
     */
    normalize(): SubscriptionIterator & Specification.SubscriptionIterator;
}
export declare const _SubscriptionIterator: SubscriptionIteratorConstructor;
//# sourceMappingURL=subscription-iterator.d.ts.map