import { Specification } from '../definitions';
import { ArrayHydrator } from '../../hydrator';
/**
 * Represents the intersection between the SwitchTaskConfiguration class and type
 */
export type SwitchTaskConfigurationIntersection = SwitchTaskConfiguration & Specification.SwitchTaskConfiguration;
/**
 * Represents a constructor for the intersection of the SwitchTaskConfiguration class and type
 */
export interface SwitchTaskConfigurationConstructor {
    new (model?: Array<Specification.SwitchItem> | number): SwitchTaskConfigurationIntersection;
}
/**
 * Represents a collection of Specification.SwitchItem.
 * Inherits from ArrayHydrator to handle array-specific hydration.
 */
export declare class SwitchTaskConfiguration extends ArrayHydrator<Specification.SwitchItem> {
    /**
     * Constructs a new instance of the SwitchTaskConfiguration class.
     *
     * @param model - Optional parameter which can be an array of objects or a number representing the array length.
     */
    constructor(model?: Array<Specification.SwitchItem> | number);
    /**
     * Validates the current instance of the SwitchTaskConfiguration.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the SwitchTaskConfiguration.
     * Creates a copy of the SwitchTaskConfiguration, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the SwitchTaskConfiguration instance.
     */
    normalize(): SwitchTaskConfiguration;
}
export declare const _SwitchTaskConfiguration: SwitchTaskConfigurationConstructor;
//# sourceMappingURL=switch-task-configuration.d.ts.map