import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the TaskTimeout class and type
 */
export type TaskTimeoutIntersection = TaskTimeout & Specification.TaskTimeout;
/**
 * Represents a constructor for the intersection of the TaskTimeout class and type
 */
export interface TaskTimeoutConstructor {
    new (model?: Partial<Specification.TaskTimeout>): TaskTimeoutIntersection;
}
/**
 * Represents a TaskTimeout with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class TaskTimeout extends ObjectHydrator<Specification.TaskTimeout> {
    /**
     * Instanciates a new instance of the TaskTimeout class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the TaskTimeout.
     */
    constructor(model?: Partial<Specification.TaskTimeout>);
    /**
     * Validates the current instance of the TaskTimeout.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the TaskTimeout.
     * Creates a copy of the TaskTimeout, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the TaskTimeout instance.
     */
    normalize(): TaskTimeout & Specification.TaskTimeout;
}
export declare const _TaskTimeout: TaskTimeoutConstructor;
//# sourceMappingURL=task-timeout.d.ts.map