import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the Timeout class and type
 */
export type TimeoutIntersection = Timeout & Specification.Timeout;
/**
 * Represents a constructor for the intersection of the Timeout class and type
 */
export interface TimeoutConstructor {
    new (model?: Partial<Specification.Timeout>): TimeoutIntersection;
}
/**
 * Represents a Timeout with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class Timeout extends ObjectHydrator<Specification.Timeout> {
    /**
     * Instanciates a new instance of the Timeout class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the Timeout.
     */
    constructor(model?: Partial<Specification.Timeout>);
    /**
     * Validates the current instance of the Timeout.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the Timeout.
     * Creates a copy of the Timeout, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the Timeout instance.
     */
    normalize(): Timeout & Specification.Timeout;
}
export declare const _Timeout: TimeoutConstructor;
//# sourceMappingURL=timeout.d.ts.map