import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the TryTaskCatchRetry class and type
 */
export type TryTaskCatchRetryIntersection = TryTaskCatchRetry & Specification.TryTaskCatchRetry;
/**
 * Represents a constructor for the intersection of the TryTaskCatchRetry class and type
 */
export interface TryTaskCatchRetryConstructor {
    new (model?: Partial<Specification.TryTaskCatchRetry>): TryTaskCatchRetryIntersection;
}
/**
 * Represents a TryTaskCatchRetry with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class TryTaskCatchRetry extends ObjectHydrator<Specification.TryTaskCatchRetry> {
    /**
     * Instanciates a new instance of the TryTaskCatchRetry class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the TryTaskCatchRetry.
     */
    constructor(model?: Partial<Specification.TryTaskCatchRetry>);
    /**
     * Validates the current instance of the TryTaskCatchRetry.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the TryTaskCatchRetry.
     * Creates a copy of the TryTaskCatchRetry, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the TryTaskCatchRetry instance.
     */
    normalize(): TryTaskCatchRetry & Specification.TryTaskCatchRetry;
}
export declare const _TryTaskCatchRetry: TryTaskCatchRetryConstructor;
//# sourceMappingURL=try-task-catch-retry.d.ts.map