import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the TryTaskCatch class and type
 */
export type TryTaskCatchIntersection = TryTaskCatch & Specification.TryTaskCatch;
/**
 * Represents a constructor for the intersection of the TryTaskCatch class and type
 */
export interface TryTaskCatchConstructor {
    new (model?: Partial<Specification.TryTaskCatch>): TryTaskCatchIntersection;
}
/**
 * Represents a TryTaskCatch with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class TryTaskCatch extends ObjectHydrator<Specification.TryTaskCatch> {
    /**
     * Instanciates a new instance of the TryTaskCatch class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the TryTaskCatch.
     */
    constructor(model?: Partial<Specification.TryTaskCatch>);
    /**
     * Validates the current instance of the TryTaskCatch.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the TryTaskCatch.
     * Creates a copy of the TryTaskCatch, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the TryTaskCatch instance.
     */
    normalize(): TryTaskCatch & Specification.TryTaskCatch;
}
export declare const _TryTaskCatch: TryTaskCatchConstructor;
//# sourceMappingURL=try-task-catch.d.ts.map