import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseAuthentications class and type
 */
export type UseAuthenticationsIntersection = UseAuthentications & Specification.UseAuthentications;
/**
 * Represents a constructor for the intersection of the UseAuthentications class and type
 */
export interface UseAuthenticationsConstructor {
    new (model?: Partial<Specification.UseAuthentications>): UseAuthenticationsIntersection;
}
/**
 * Represents a UseAuthentications with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseAuthentications extends ObjectHydrator<Specification.UseAuthentications> {
    /**
     * Instanciates a new instance of the UseAuthentications class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseAuthentications.
     */
    constructor(model?: Partial<Specification.UseAuthentications>);
    /**
     * Validates the current instance of the UseAuthentications.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseAuthentications.
     * Creates a copy of the UseAuthentications, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseAuthentications instance.
     */
    normalize(): UseAuthentications & Specification.UseAuthentications;
}
export declare const _UseAuthentications: UseAuthenticationsConstructor;
//# sourceMappingURL=use-authentications.d.ts.map