import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseCatalogs class and type
 */
export type UseCatalogsIntersection = UseCatalogs & Specification.UseCatalogs;
/**
 * Represents a constructor for the intersection of the UseCatalogs class and type
 */
export interface UseCatalogsConstructor {
    new (model?: Partial<Specification.UseCatalogs>): UseCatalogsIntersection;
}
/**
 * Represents a UseCatalogs with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseCatalogs extends ObjectHydrator<Specification.UseCatalogs> {
    /**
     * Instanciates a new instance of the UseCatalogs class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseCatalogs.
     */
    constructor(model?: Partial<Specification.UseCatalogs>);
    /**
     * Validates the current instance of the UseCatalogs.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseCatalogs.
     * Creates a copy of the UseCatalogs, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseCatalogs instance.
     */
    normalize(): UseCatalogs & Specification.UseCatalogs;
}
export declare const _UseCatalogs: UseCatalogsConstructor;
//# sourceMappingURL=use-catalogs.d.ts.map