import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseErrors class and type
 */
export type UseErrorsIntersection = UseErrors & Specification.UseErrors;
/**
 * Represents a constructor for the intersection of the UseErrors class and type
 */
export interface UseErrorsConstructor {
    new (model?: Partial<Specification.UseErrors>): UseErrorsIntersection;
}
/**
 * Represents a UseErrors with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseErrors extends ObjectHydrator<Specification.UseErrors> {
    /**
     * Instanciates a new instance of the UseErrors class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseErrors.
     */
    constructor(model?: Partial<Specification.UseErrors>);
    /**
     * Validates the current instance of the UseErrors.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseErrors.
     * Creates a copy of the UseErrors, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseErrors instance.
     */
    normalize(): UseErrors & Specification.UseErrors;
}
export declare const _UseErrors: UseErrorsConstructor;
//# sourceMappingURL=use-errors.d.ts.map