import { Specification } from '../definitions';
import { ArrayHydrator } from '../../hydrator';
/**
 * Represents the intersection between the UseExtensions class and type
 */
export type UseExtensionsIntersection = UseExtensions & Specification.UseExtensions;
/**
 * Represents a constructor for the intersection of the UseExtensions class and type
 */
export interface UseExtensionsConstructor {
    new (model?: Array<Specification.ExtensionItem> | number): UseExtensionsIntersection;
}
/**
 * Represents a collection of Specification.ExtensionItem.
 * Inherits from ArrayHydrator to handle array-specific hydration.
 */
export declare class UseExtensions extends ArrayHydrator<Specification.ExtensionItem> {
    /**
     * Constructs a new instance of the UseExtensions class.
     *
     * @param model - Optional parameter which can be an array of objects or a number representing the array length.
     */
    constructor(model?: Array<Specification.ExtensionItem> | number);
    /**
     * Validates the current instance of the UseExtensions.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseExtensions.
     * Creates a copy of the UseExtensions, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseExtensions instance.
     */
    normalize(): UseExtensions;
}
export declare const _UseExtensions: UseExtensionsConstructor;
//# sourceMappingURL=use-extensions.d.ts.map