import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseFunctions class and type
 */
export type UseFunctionsIntersection = UseFunctions & Specification.UseFunctions;
/**
 * Represents a constructor for the intersection of the UseFunctions class and type
 */
export interface UseFunctionsConstructor {
    new (model?: Partial<Specification.UseFunctions>): UseFunctionsIntersection;
}
/**
 * Represents a UseFunctions with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseFunctions extends ObjectHydrator<Specification.UseFunctions> {
    /**
     * Instanciates a new instance of the UseFunctions class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseFunctions.
     */
    constructor(model?: Partial<Specification.UseFunctions>);
    /**
     * Validates the current instance of the UseFunctions.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseFunctions.
     * Creates a copy of the UseFunctions, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseFunctions instance.
     */
    normalize(): UseFunctions & Specification.UseFunctions;
}
export declare const _UseFunctions: UseFunctionsConstructor;
//# sourceMappingURL=use-functions.d.ts.map