import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseRetries class and type
 */
export type UseRetriesIntersection = UseRetries & Specification.UseRetries;
/**
 * Represents a constructor for the intersection of the UseRetries class and type
 */
export interface UseRetriesConstructor {
    new (model?: Partial<Specification.UseRetries>): UseRetriesIntersection;
}
/**
 * Represents a UseRetries with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseRetries extends ObjectHydrator<Specification.UseRetries> {
    /**
     * Instanciates a new instance of the UseRetries class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseRetries.
     */
    constructor(model?: Partial<Specification.UseRetries>);
    /**
     * Validates the current instance of the UseRetries.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseRetries.
     * Creates a copy of the UseRetries, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseRetries instance.
     */
    normalize(): UseRetries & Specification.UseRetries;
}
export declare const _UseRetries: UseRetriesConstructor;
//# sourceMappingURL=use-retries.d.ts.map