import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the UseTimeouts class and type
 */
export type UseTimeoutsIntersection = UseTimeouts & Specification.UseTimeouts;
/**
 * Represents a constructor for the intersection of the UseTimeouts class and type
 */
export interface UseTimeoutsConstructor {
    new (model?: Partial<Specification.UseTimeouts>): UseTimeoutsIntersection;
}
/**
 * Represents a UseTimeouts with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class UseTimeouts extends ObjectHydrator<Specification.UseTimeouts> {
    /**
     * Instanciates a new instance of the UseTimeouts class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the UseTimeouts.
     */
    constructor(model?: Partial<Specification.UseTimeouts>);
    /**
     * Validates the current instance of the UseTimeouts.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the UseTimeouts.
     * Creates a copy of the UseTimeouts, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the UseTimeouts instance.
     */
    normalize(): UseTimeouts & Specification.UseTimeouts;
}
export declare const _UseTimeouts: UseTimeoutsConstructor;
//# sourceMappingURL=use-timeouts.d.ts.map