import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the WithGRPCService class and type
 */
export type WithGRPCServiceIntersection = WithGRPCService & Specification.WithGRPCService;
/**
 * Represents a constructor for the intersection of the WithGRPCService class and type
 */
export interface WithGRPCServiceConstructor {
    new (model?: Partial<Specification.WithGRPCService>): WithGRPCServiceIntersection;
}
/**
 * Represents a WithGRPCService with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class WithGRPCService extends ObjectHydrator<Specification.WithGRPCService> {
    /**
     * Instanciates a new instance of the WithGRPCService class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the WithGRPCService.
     */
    constructor(model?: Partial<Specification.WithGRPCService>);
    /**
     * Validates the current instance of the WithGRPCService.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the WithGRPCService.
     * Creates a copy of the WithGRPCService, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the WithGRPCService instance.
     */
    normalize(): WithGRPCService & Specification.WithGRPCService;
}
export declare const _WithGRPCService: WithGRPCServiceConstructor;
//# sourceMappingURL=with-grpc-service.d.ts.map