import { ObjectHydrator } from '../../hydrator';
import { Specification } from '../definitions';
/**
 * Represents the intersection between the WorkflowTimeout class and type
 */
export type WorkflowTimeoutIntersection = WorkflowTimeout & Specification.WorkflowTimeout;
/**
 * Represents a constructor for the intersection of the WorkflowTimeout class and type
 */
export interface WorkflowTimeoutConstructor {
    new (model?: Partial<Specification.WorkflowTimeout>): WorkflowTimeoutIntersection;
}
/**
 * Represents a WorkflowTimeout with methods for validation and normalization.
 * Inherits from ObjectHydrator which provides functionality for hydrating the state based on a model.
 */
export declare class WorkflowTimeout extends ObjectHydrator<Specification.WorkflowTimeout> {
    /**
     * Instanciates a new instance of the WorkflowTimeout class.
     * Initializes properties based on the provided model if it is an object.
     *
     * @param model - Optional partial model object to initialize the WorkflowTimeout.
     */
    constructor(model?: Partial<Specification.WorkflowTimeout>);
    /**
     * Validates the current instance of the WorkflowTimeout.
     * Throws if invalid.
     */
    validate(workflow?: Partial<Specification.Workflow>): void;
    /**
     * Normalizes the current instance of the WorkflowTimeout.
     * Creates a copy of the WorkflowTimeout, invokes normalization hooks if available, and returns the normalized copy.
     *
     * @returns A normalized version of the WorkflowTimeout instance.
     */
    normalize(): WorkflowTimeout & Specification.WorkflowTimeout;
}
export declare const _WorkflowTimeout: WorkflowTimeoutConstructor;
//# sourceMappingURL=workflow-timeout.d.ts.map