import { Workflow } from './generated/definitions/specification';
/**
 * Converts the provided workflow to Mermaid code
 * @param workflow The workflow to convert
 * @returns The Mermaid diagram
 */
export declare function convertToMermaidCode(workflow: Workflow): string;
/**
 * Represents a Mermaid diagram generator for a given workflow.
 * This class takes a workflow definition and converts it into a Mermaid.js-compatible diagram.
 */
export declare class MermaidDiagram {
    private workflow;
    constructor(workflow: Workflow);
    /**
     * Generates the Mermaid code representation of the workflow.
     * @returns The Mermaid diagram source code as a string.
     */
    sourceCode(): string;
}
//# sourceMappingURL=mermaid-converter.d.ts.map